# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)


## v4.19.33
  - 4b3a3ab00fa7 Linux 4.19.33
  - 11008a9b0fc7 platform: x86: intel_cht_int33fe: Remove the old connections for the muxes
  - 056cda45cfed usb: typec: class: Don't use port parent for getting mux handles
  - 6875404a12f8 platform: x86: intel_cht_int33fe: Add connections for the USB Type-C port
  - 681a9fc184b3 platform: x86: intel_cht_int33fe: Add connection for the DP alt mode
  - 3bb446a3fe87 platform: x86: intel_cht_int33fe: Register all connections at once
  - e99d90ce7750 drivers: base: Helpers for adding device connection descriptions
  - f5959dec081a bpf: do not restore dst_reg when cur_state is freed
  - 738dda85d181 staging: erofs: keep corrupted fs from crashing kernel in erofs_readdir()
  - 83bbd66b3753 staging: erofs: fix error handling when failed to read compresssed data
  - 3a18eabaa712 KVM: x86: Emulate MSR_IA32_ARCH_CAPABILITIES on AMD hosts
  - b9733a74350d KVM: x86: update %rip after emulating IO
  - 7ceedcefc2d2 KVM: Reject device ioctls from processes other than the VM's creator
  - a0713e8103d1 x86/smp: Enforce CONFIG_HOTPLUG_CPU when SMP=y
  ACK: pavel -- already reviewed in 4.4.178
  - a56aa02e6f15 cpu/hotplug: Prevent crash when CPU bringup fails on CONFIG_HOTPLUG_CPU=n
  - 336f6b23b5b8 watchdog: Respect watchdog cpumask on CPU hotplug
  - c91d07ad34d7 powerpc/64: Fix memcmp reading past the end of src/dest
  - d7c00bbbfac4 powerpc/pseries/energy: Use OF accessor functions to read ibm,drc-indexes
  - 0603e3a9281d objtool: Query pkg-config for libelf location
  - a436cf6479c0 perf intel-pt: Fix TSC slip
  ACK: pavel -- already reviewed in 4.4.178
  - 5f9366330950 perf pmu: Fix parser error for uncore event alias
  - f70ddae24bdf mm/migrate.c: add missing flush_dcache_page for non-mapped page migrate
  - 5966777dd807 mm: mempolicy: make mbind() return -EIO when MPOL_MF_STRICT is specified
  - c9874d397807 iommu/io-pgtable-arm-v7s: request DMA32 memory, and improve debugging
  - 62d342d67060 mm: add support for kmem caches in DMA32 zone
  - 2392ffab085a usb: cdc-acm: fix race during wakeup blocking TX traffic
  - 82a5090aad84 xhci: Don't let USB3 ports stuck in polling state prevent suspend
  - 20a09a2e8703 usb: xhci: dbc: Don't free all memory with spinlock held
  - c81b872281a1 xhci: Fix port resume done detection for SS ports with LPM enabled
  ACK: pavel -- already reviewed in 4.4.178
  - 093ccda1a041 usb: host: xhci-rcar: Add XHCI_TRUST_TX_LENGTH quirk
  - 015e5c17617a usb: common: Consider only available nodes for dr_mode
  - ef4df134e77e USB: gadget: f_hid: fix deadlock in f_hidg_write()
  - 614ac345bfec usb: mtu3: fix EXTCON dependency
  - 66e44981de0e phy: sun4i-usb: Support set_mode to USB_HOST for non-OTG PHYs
  - 6ebe03734361 gpio: adnp: Fix testing wrong value in adnp_gpio_direction_input
  ACK: pavel -- already reviewed in 4.4.178
  - b26f7e86d3cc gpio: exar: add a check for the return value of ida_simple_get fails
  - df74e70ffec6 drm/i915/gvt: Fix MI_FLUSH_DW parsing with correct index check
  - 75f9e994b9fd drm/vkms: fix use-after-free when drm_gem_handle_create() fails
  - eb1e552524b4 drm/vgem: fix use-after-free when drm_gem_handle_create() fails
  - 07d0d2bd957a fs/proc/proc_sysctl.c: fix NULL pointer dereference in put_links
  ACK: pavel -- already reviewed in 4.4.178
  - c956914f1efa Disable kgdboc failed by echo space to /sys/module/kgdboc/parameters/kgdboc
  ACK: pavel -- already reviewed in 4.4.178
  - 1c992ea006ce USB: serial: option: add Olicard 600
  ACK: pavel -- already reviewed in 4.4.178
  - 19151c645d0c USB: serial: option: add support for Quectel EM12
  - 002795b0d9b3 USB: serial: option: set driver_info for SIM5218 and compatibles
  ACK: pavel -- already reviewed in 4.4.178
  - d7dfccfd3c4b USB: serial: mos7720: fix mos_parport refcount imbalance on error path
  ACK: pavel -- already reviewed in 4.4.178
  - 1f46db3cc133 USB: serial: ftdi_sio: add additional NovaTech products
  ACK: pavel -- already reviewed in 4.4.178
  - 2a63003545d0 USB: serial: cp210x: add new device id
  ACK: pavel -- already reviewed in 4.4.178
  - 59203f078cc6 serial: sh-sci: Fix setting SCSCR_TIE while transferring data
  ACK: pavel -- already reviewed in 4.4.178
  - b1e660c6f802 serial: mvebu-uart: Fix to avoid a potential NULL pointer dereference
  - f34ec64b3f6c serial: max310x: Fix to avoid potential NULL pointer dereference
  ACK: pavel -- already reviewed in 4.4.178
  - a090ed15420a staging: erofs: fix to handle error path of erofs_vmap()
  - 3b6b76644ba5 staging: vt6655: Fix interrupt race condition on device start up.
  ACK: pavel -- already reviewed in 4.4.178
  - b9ddff2a41cd staging: vt6655: Remove vif check from vnt_interrupt
  ACK: pavel -- already reviewed in 4.4.178
  - 86092f2d5ccb staging: speakup_soft: Fix alternate speech with other synths
  - d0360bf48143 staging: comedi: ni_mio_common: Fix divide-by-zero for DIO cmdtest
  - 668ba38d8950 tty: serial: qcom_geni_serial: Initialize baud in qcom_geni_console_setup
  - b9bbd1edddf7 tty: atmel_serial: fix a potential NULL pointer dereference
  ACK: pavel -- already reviewed in 4.4.178
  - 124e42064c0d tty: mxs-auart: fix a potential NULL pointer dereference
  - 7fb7414da97e drm/rockchip: vop: reset scale mode when win is disabled
  - a93cd9137fea scsi: zfcp: fix scsi_eh host reset with port_forced ERP for non-NPIV FCP devices
  ACK: pavel -- already reviewed in 4.4.178
  - 983a543de13a scsi: zfcp: fix rport unblock if deleted SCSI devices on Scsi_Host
  ACK: pavel -- already reviewed in 4.4.178
  - a52eb223a6ee scsi: sd: Quiesce warning if device does not report optimal I/O size
  - d72658775c4b scsi: sd: Fix a race between closing an sd device and sd I/O
  ACK: pavel -- already reviewed in 4.4.178
  - 3b3fcc3d4ffd ocfs2: fix inode bh swapping mixup in ocfs2_reflink_inodes_lock
  - 72b790c417b9 fs/open.c: allow opening only regular files during execve()
  - aa7f29f87027 kbuild: modversions: Fix relative CRC byte order interpretation
  - 4dfae837ceaf ALSA: hda/realtek - Fix speakers on Acer Predator Helios 500 Ryzen laptops
  - 6f3dbb71085c ALSA: hda/realtek: Enable headset MIC of ASUS X430UN and X512DK with ALC256
  - 633d5db40280 ALSA: hda/realtek: Enable headset mic of ASUS P5440FF with ALC256
  - fd4000c77a5a ALSA: hda/realtek: Enable ASUS X441MB and X705FD headset MIC with ALC256
  - 48e8e6a736b6 ALSA: hda/realtek - Add support for Acer Aspire E5-523G/ES1-432 headset mic
  - 5fa5a8679b92 ALSA: hda/realtek: Enable headset MIC of Acer Aspire Z24-890 with ALC286
  - 5ec67684be9e ALSA: hda/realtek: Enable headset MIC of Acer AIO with ALC286
  - 89ec6d400b5d ALSA: hda/realtek - Add support headset mode for New DELL WYSE NB
  - 522f06c9c00d ALSA: hda/realtek - Add support headset mode for DELL WYSE AIO
  - 5b93302bbc4e ALSA: pcm: Don't suspend stream in unrecoverable PCM state
  ACK: pavel -- already reviewed in 4.4.178
  - 7fc6064dc3b2 ALSA: pcm: Fix possible OOB access in PCM oss plugins
  ACK: pavel -- already reviewed in 4.4.178
  - b425f45295dd ALSA: seq: oss: Fix Spectre v1 vulnerability
  ACK: pavel -- already reviewed in 4.4.178
  - bd55e6727a33 ALSA: rawmidi: Fix potential Spectre v1 vulnerability
  ACK: pavel -- already reviewed in 4.4.178
  - a485919fe4cc net: dsa: qca8k: remove leftover phy accessors
  - 64751542d3f3 NFSv4.1 don't free interrupted slot on open
  - da57cba4f3f1 NFS: fix mount/umount race in nlmclnt.
  - 0f273f0c3064 vfio: ccw: only free cp on final interrupt
  - 92d4ee2e8276 powerpc: bpf: Fix generation of load/store DW instructions
  - 9397f0d9948c ARM: imx6q: cpuidle: fix bug that CPU might not wake up at expected time
  ACK: pavel -- already reviewed in 4.4.178
  - fd1b25364fef Btrfs: fix assertion failure on fsync with NO_HOLES enabled
  - 0ae3b84b3fa6 btrfs: Avoid possible qgroup_rsv_size overflow in btrfs_calculate_inode_block_rsv_size
  - 1cf4ab01eb5a btrfs: raid56: properly unmap parity page in finish_parity_scrub()
  ACK: pavel -- already reviewed in 4.4.178
  - d952c337b25d btrfs: don't report readahead errors and don't update statistics
  - b57220cc9820 btrfs: remove WARN_ON in log_dir_items
  ACK: pavel -- already reviewed in 4.4.178
  - 22dcb30fb9d8 Btrfs: fix incorrect file size after shrinking truncate and fsync
  - a1df5db3a9f1 powerpc/security: Fix spectre_v2 reporting
  - 986f0c656749 powerpc/fsl: Fix the flush of branch predictor.
  - b848d19c483a powerpc/fsl: Fixed warning: orphan section `__btb_flush_fixup'
  - 632d839296bd powerpc/fsl: Update Spectre v2 reporting
  - 43f40620d7a5 powerpc/fsl: Enable runtime patching if nospectre_v2 boot arg is used
  - a46a50382639 powerpc/fsl: Flush branch predictor when entering KVM
  - 3cb931c709d0 powerpc/fsl: Flush the branch predictor at each kernel entry (32 bit)
  - cf72dad924cb powerpc/fsl: Flush the branch predictor at each kernel entry (64bit)
  - 020e5f13805b powerpc/fsl: Add nospectre_v2 command line argument
  - 4a6a2287e0e6 powerpc/fsl: Emulate SPRN_BUCSR register
  - 4944f1d48d71 powerpc/fsl: Add macro to flush the branch predictor
  - d67ab3d9a1b7 powerpc/fsl: Add infrastructure to fixup branch predictor flush
  - e044d21c2999 tun: add a missing rcu_read_unlock() in error path
  - 6bdb5fdc4787 thunderx: eliminate extra calls to put_page() for pages held for recycling
  - ac8411d75962 thunderx: enable page recycling for non-XDP case
  - a491de9041b4 net: sched: fix cleanup NULL pointer exception in act_mirr
  - 7254ad094f4a ila: Fix rhashtable walker list corruption
  - 979f8a675d3b vxlan: Don't call gro_cells_destroy() before device is unregistered
  ACK: pavel -- already reviewed in 4.4.178
  - 3b1386beeef4 vrf: prevent adding upper devices
  - 8ea78da1aa3e tun: properly test for IFF_UP
  - 52a7505c91a1 tipc: fix cancellation of topology subscriptions
  - 1be6c0c737e4 tipc: change to check tipc_own_id to return in tipc_net_stop
  - 24d1a6259706 tipc: allow service ranges to be connect()'ed on RDM/DGRAM
  - 7115df614b09 tcp: do not use ipv6 header for ipv4 flow
  ACK: pavel -- already reviewed in 4.4.178
  - cab576f1b00f sctp: use memdup_user instead of vmemdup_user
  - 97265479d7ca sctp: get sctphdr by offset in sctp_compute_cksum
  ACK: pavel -- already reviewed in 4.4.178
  - cf86f7a97561 rhashtable: Still do rehash when we get EEXIST
  - 69cea7cf3170 packets: Always register packet sk in the same order
  ACK: pavel -- already reviewed in 4.4.178
  - d9d215be3a3a net-sysfs: call dev_hold if kobject_init_and_add success
  - 8dcf078d92ae net: stmmac: fix memory corruption with large MTUs
  - 7eeb12edf637 net: rose: fix a possible stack overflow
  pavel -- already reviewed in 4.4.178
  - a6f0168e6681 net: phy: meson-gxl: fix interrupt support
  - 85ef72d829eb net/packet: Set __GFP_NOWARN upon allocation in alloc_pg_vec
  ACK: pavel -- already reviewed in 4.4.178
  - 88c64f9c7d3f net: datagram: fix unbounded loop in __skb_try_recv_datagram()
  - e4ff39e1ba80 net: aquantia: fix rx checksum offload for UDP/TCP over IPv6
  - c408426292ee mISDN: hfcpci: Test both vendor & device ID for Digium HFC4S
  ACK: pavel -- already reviewed in 4.4.178
  - e0f8c06f45c3 mac8390: Fix mmio access size probe
  ACK: pavel -- already reviewed in 4.4.178
  - be09211384c2 ipv6: make ip6_create_rt_rcu return ip6_null_entry instead of NULL
  - 53adaacbbadb gtp: change NET_UDP_TUNNEL dependency to select
  - 9b8ef421b481 genetlink: Fix a memory leak on error path
  - 321461f2497f dccp: do not use ipv6 header for ipv4 flow
  ACK: pavel -- already reviewed in 4.4.178
  - 6bba17f6bce3 ipmi_si: Fix crash when using hard-coded device
  - 15d6538a0d6e Bluetooth: Verify that l2cap_get_conf_opt provides large enough buffer
  ACK: pavel -- already reviewed in 4.4.178
  - 2318c0e4b87e Bluetooth: Check L2CAP option sizes returned from l2cap_get_conf_opt
  ACK: pavel -- already reviewed in 4.4.178
